package characterapi

import (
	"context"
	character "crossnokaye-interview-assignment/services/character/gen/character"
	"log"
)

// character service example implementation.
// The example methods log the requests and return zero values.
type charactersrvc struct {
	logger *log.Logger
}

// NewCharacter returns the character service implementation.
func NewCharacter(logger *log.Logger) character.Service {
	return &charactersrvc{logger}
}

// GetCharacter implements getCharacter.
func (s *charactersrvc) GetCharacter(ctx context.Context, p int) (res *character.Character, err error) {
	res = &character.Character{}
	s.logger.Print("character.getCharacter")
	return
}

// CreateCharacter implements createCharacter.
func (s *charactersrvc) CreateCharacter(ctx context.Context, p *character.Character) (res *character.Character, err error) {
	res = &character.Character{}
	s.logger.Print("character.createCharacter")
	return
}

// UpdateCharacter implements updateCharacter.
func (s *charactersrvc) UpdateCharacter(ctx context.Context, p *character.Character) (res *character.Character, err error) {
	res = &character.Character{}
	s.logger.Print("character.updateCharacter")
	return
}

// DeleteCharacter implements deleteCharacter.
func (s *charactersrvc) DeleteCharacter(ctx context.Context, p int) (err error) {
	s.logger.Print("character.deleteCharacter")
	return
}
