package frontapi

import (
	"context"
	front "crossnokaye-interview-assignment/services/front/gen/front"
	"log"
)

// front service example implementation.
// The example methods log the requests and return zero values.
type frontsrvc struct {
	logger *log.Logger
}

// NewFront returns the front service implementation.
func NewFront(logger *log.Logger) front.Service {
	return &frontsrvc{logger}
}

// GetItem implements getItem.
func (s *frontsrvc) GetItem(ctx context.Context, p int) (res *front.Item, err error) {
	res = &front.Item{}
	s.logger.Print("front.getItem")
	return
}

// CreateItem implements createItem.
func (s *frontsrvc) CreateItem(ctx context.Context, p *front.Item) (res *front.Item, err error) {
	res = &front.Item{}
	s.logger.Print("front.createItem")
	return
}

// UpdateItem implements updateItem.
func (s *frontsrvc) UpdateItem(ctx context.Context, p *front.Item) (res *front.Item, err error) {
	res = &front.Item{}
	s.logger.Print("front.updateItem")
	return
}

// DeleteItem implements deleteItem.
func (s *frontsrvc) DeleteItem(ctx context.Context, p int) (err error) {
	s.logger.Print("front.deleteItem")
	return
}

// GetCharacter implements getCharacter.
func (s *frontsrvc) GetCharacter(ctx context.Context, p int) (res *front.Character, err error) {
	res = &front.Character{}
	s.logger.Print("front.getCharacter")
	return
}

// CreateCharacter implements createCharacter.
func (s *frontsrvc) CreateCharacter(ctx context.Context, p *front.Character) (res *front.Character, err error) {
	res = &front.Character{}
	s.logger.Print("front.createCharacter")
	return
}

// UpdateCharacter implements updateCharacter.
func (s *frontsrvc) UpdateCharacter(ctx context.Context, p *front.Character) (res *front.Character, err error) {
	res = &front.Character{}
	s.logger.Print("front.updateCharacter")
	return
}

// DeleteCharacter implements deleteCharacter.
func (s *frontsrvc) DeleteCharacter(ctx context.Context, p int) (err error) {
	s.logger.Print("front.deleteCharacter")
	return
}

// AddItemToInventory implements addItemToInventory.
func (s *frontsrvc) AddItemToInventory(ctx context.Context, p int) (err error) {
	s.logger.Print("front.addItemToInventory")
	return
}

// RemoveItemFromInventory implements removeItemFromInventory.
func (s *frontsrvc) RemoveItemFromInventory(ctx context.Context, p int) (err error) {
	s.logger.Print("front.removeItemFromInventory")
	return
}
