package inventoryapi

import (
	"context"
	inventory "crossnokaye-interview-assignment/services/inventory/gen/inventory"
	"log"
)

// inventory service example implementation.
// The example methods log the requests and return zero values.
type inventorysrvc struct {
	logger *log.Logger
}

// NewInventory returns the inventory service implementation.
func NewInventory(logger *log.Logger) inventory.Service {
	return &inventorysrvc{logger}
}

// AddItem implements addItem.
func (s *inventorysrvc) AddItem(ctx context.Context, p int) (err error) {
	s.logger.Print("inventory.addItem")
	return
}

// RemoveItem implements removeItem.
func (s *inventorysrvc) RemoveItem(ctx context.Context, p int) (err error) {
	s.logger.Print("inventory.removeItem")
	return
}
